Subject: Re: bug#67461: build of /gnu/store/xnwy976yzkvxh2virzf2yrhr28c04075-python-matplotlib-3.5.2.drv failed

From: Simon Tournier <[email-masked]>
Date: Fri, 01 Dec 2023 14:40:24 +0100

Hi,

Thanks for the report.

On Sun, 26 Nov 2023 at 20:29, francismb via Bug reports for GNU Guix <[email-masked]> wrote:

> Generation 64	Nov 26 2023 15:12:35	(current)
>    guix 176440c

[...]

> build of
> /gnu/store/xnwy976yzkvxh2virzf2yrhr28c04075-python-matplotlib-3.5.2.drv
> failed

The substitutes is available on ci.guix.gnu.org.

--8<---------------cut here---------------start------------->8---
$ guix time-machine --commit=176440c056fdde6da98b11720989b1ed060ec97c \
       -- weather python-matplotlib
computing 1 package derivations for x86_64-linux...
looking for 1 store items on https://ci.guix.gnu.org...
https://ci.guix.gnu.org ☀
  100.0% substitutes available (1 out of 1)
  at least 48.7 MiB of nars (compressed)
  59.1 MiB on disk (uncompressed)
  0.181 seconds per request (0.2 seconds in total)
  5.5 requests per second

  at least 1,000 queued builds
      aarch64-linux: 992 (99.2%)
      powerpc64le-linux: 5 (.5%)
      x86_64-linux: 3 (.3%)
  build rate: 13.47 builds per hour
      x86_64-linux: 9.34 builds per hour
      i686-linux: 2.11 builds per hour
      powerpc64le-linux: 2.06 builds per hour
      aarch64-linux: 0.49 builds per hour
looking for 1 store items on https://bordeaux.guix.gnu.org...
https://bordeaux.guix.gnu.org ⛈
  0.0% substitutes available (0 out of 1)
  unknown substitute sizes
  0.0 MiB on disk (uncompressed)
  0.112 seconds per request (0.1 seconds in total)
  8.9 requests per second
  'https://bordeaux.guix.gnu.org/api/queue?nr=1000' returned 504 ("Gateway Time-out")
--8<---------------cut here---------------end--------------->8---

And I cannot reproduce on my machine.  One example of such try:

--8<---------------cut here---------------start------------->8---
$ guix time-machine --commit=176440c056fdde6da98b11720989b1ed060ec97c \
       -- build python-matplotlib --no-grafts -d
/gnu/store/xnwy976yzkvxh2virzf2yrhr28c04075-python-matplotlib-3.5.2.drv

$ guix build /gnu/store/xnwy976yzkvxh2virzf2yrhr28c04075-python-matplotlib-3.5.2.drv
/gnu/store/1jv6qvrxwmh8mf6ykgs5aqrqn859b841-python-matplotlib-3.5.2
--8<---------------cut here---------------end--------------->8---

And, if --check is applied, I get:

    guix build: error: derivation `/gnu/store/xnwy976yzkvxh2virzf2yrhr28c04075-python-matplotlib-3.5.2.drv'
    may not be deterministic: output `/gnu/store/1jv6qvrxwmh8mf6ykgs5aqrqn859b841-python-matplotlib-3.5.2' differs

which means it builds fine on my machine.

Well, I do not know where the issue could come from.

Cheers,
simon